--返回技能施法者身上要挂的虚似体光效title
local function GetIntonePartEffect(idMagicType, nProfSort, idServant, nServantIndex, idRWeapon, idLWeapon)
	--idMagicType是技能typeid
	--nProfSort是职业大类
	--idServant战装id
	--nServantIndex战装皮肤编号
	--idRWeapon右手武器外观
	--idLWeapon左手武器外观
	--光效title格式有要求
	--光效title格式为：_p_39_huodaoqi_shui2
	--_p_打头，注意小写p
	--接在_p_后面的数字39表示虚似体位置，通过ini/EffectPartPhy.ini找出光效要加到哪个部件的哪个虚似体
	if (idRWeapon == 0 and idLWeapon == 0) then
		--之所以引入武器外观，是因为有些空手动作比较老旧，一直没有去对v_slot虚似体的位置信息，挂上去很难看，如果出现这种情况，可由lua决定不挂光效上去
		return ""
	end
	
	if idServant == 1301 then 
		if idMagicType == 20330 or idMagicType == 20340 or idMagicType == 20270 or idMagicType == 20260 then
			return "_p_39_dqsf_mu2"
		end
	end
	
	if idServant == 1302 then 
		if idMagicType == 20350 or idMagicType == 20210 or idMagicType == 20280 or idMagicType == 20230 then
			return "_p_39_dqsf_shui2"
		end
	end
	
	if idServant == 1303 then 
		if idMagicType == 20390 or idMagicType == 20380 or idMagicType == 20310 or idMagicType == 20200 then
			return "_p_39_dqsf_tu2"
		end
	end
	
	if idServant == 1304 then 
		if idMagicType == 20320 or idMagicType == 20220 or idMagicType == 20250 or idMagicType == 20240 then
			return "_p_39_dqsf_jin2"
		end
	end
	
	if idServant == 1305 then 
		if idMagicType == 20370 or idMagicType == 20360 or idMagicType == 20300 or idMagicType == 20290 then
			return "_p_39_dqsf_huo2"
		end
	end
	
	--以下只是测试数据，正式数据请根据函数入参，写一个白名单去限制哪些技能哪些条件下需要给施法者加这个虚似体光效
	return ""
end
local function GetMagicTypeByServerType()
	if UserData_IsOldSoldierServer() or UserData_IsCoinsServer() then
		--这边返回掉钱服的magictype配置的名字
		return "ini/magictype1.dat"
	end

	return "ini/magictype.dat"
end
local MagicEffect = {
	GetIntonePartEffect = GetIntonePartEffect,
	Unload = Unload,
	GetMagicTypeByServerType = GetMagicTypeByServerType,

}

local function Unload()
end

-- global
MagicEffect_GetIntonePartEffect = MagicEffect.GetIntonePartEffect
MagicEffect_Unload = MagicEffect.Unload
MagicEffect_GetMagicTypeByServerType = MagicEffect.GetMagicTypeByServerType

return MagicEffect
